AxisHTTPSessionListener (Axis API)
Keywords: org.apache.axis.transport.http.AxisHTTPSessionListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class AxisHTTPSessionListener

    java.lang.Object
      org.apache.axis.transport.http.AxisHTTPSessionListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionListener

public class AxisHTTPSessionListener
extends java.lang.Object
implements javax.servlet.http.HttpSessionListener

A simple listener for Servlet 2.3 session lifecycle events.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`AxisHTTPSessionListener()`

Method Summary
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent event)` No-op for now
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent event)` Called when a session is destroyed by the servlet engine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### AxisHTTPSessionListener

    public AxisHTTPSessionListener()

Method Detail

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent event)

  No-op for now

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent event)

  Called when a session is destroyed by the servlet engine. We use the relevant HttpSession to look up an AxisHttpSession, and destroy all the appropriate objects stored therein.

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`
  Parameters:
    `event` - the event descriptor passed in by the servlet engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.